Package org.eclipse.jgit.api

## Interface RebaseCommand.InteractiveHandler

Enclosing class:
  RebaseCommand

    public static interface RebaseCommand.InteractiveHandler

Allows configure rebase interactive process and modify commit message

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `modifyCommitMessage​(String commit)` Used for editing commit message on REWORD
`void` `prepareSteps​(List<RebaseTodoLine> steps)` Given list of `steps` should be modified according to user rebase configuration

### Method Detail

#### prepareSteps

    void prepareSteps​(List<RebaseTodoLine> steps)

Given list of `steps` should be modified according to user rebase configuration

Parameters:
  `steps` - initial configuration of rebase interactive

#### modifyCommitMessage

    String modifyCommitMessage​(String commit)

Used for editing commit message on REWORD

Parameters:
  `commit` -
Returns:
  new commit message